libzypp 17.37.10

zyppng::AcceptWrongDigestRequest Namespace Reference

## Functions
constexpr std::string_view | CTYPE ("digest/accept-unknown-digest")
constexpr std::string_view | FILE ("file")
constexpr std::string_view | NAME_REQUESTED ("requested")
constexpr std::string_view | NAME_FOUND ("found")
UserData | makeData (const zypp::Pathname &p, const std::string &requested, const std::string &found)

## Detailed Description

A digest user request asking the user to accept a wrong digest.

Something like: "Unknown digest <digestname> for file <file>."

Userdata fields:

- "file" Path of the file to be validated
- "name" Name of the digest

## Function Documentation

## ◆ CTYPE()

std::string_view zyppng::AcceptWrongDigestRequest::CTYPE | ( | "digest/accept-unknown-digest" |  | ) |
| constexpr

## ◆ FILE()

std::string_view zyppng::AcceptWrongDigestRequest::FILE | ( | "file" |  | ) |
| constexpr

## ◆ NAME_REQUESTED()

std::string_view zyppng::AcceptWrongDigestRequest::NAME_REQUESTED | ( | "requested" |  | ) |
| constexpr

## ◆ NAME_FOUND()

std::string_view zyppng::AcceptWrongDigestRequest::NAME_FOUND | ( | "found" |  | ) |
| constexpr

## ◆ makeData()

UserData zyppng::AcceptWrongDigestRequest::makeData | ( | const zypp::Pathname & | p,
|  | const std::string & | requested,
|  | const std::string & | found )

Definition at line 26 of file userrequest.cc.